Bug 1306040 - HA | IPv6 | External LB | Backend URL is missing in ceilometer.conf file therefore ceilometer services can't start
Summary: HA | IPv6 | External LB | Backend URL is missing in ceilometer.conf file ther...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates
Version: 7.0 (Kilo)
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: y3
: 7.0 (Kilo)
Assignee: Marios Andreou
QA Contact: Leonid Natapov
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-02-09 22:26 UTC by Leonid Natapov
Modified: 2016-02-18 16:53 UTC (History)
8 users (show)

Fixed In Version: openstack-tripleo-heat-templates-0.8.6-118.el7ost
Doc Type: Bug Fix
Doc Text:
Ceilometer services failed to start in the Overcloud due to a incorrectly parsed IPv6 address from the director's Heat template collection. This fix correctly parses the IPv6 address. Ceilometer now starts correctly in an IPv6-based Overcloud.
Clone Of:
Environment:
Last Closed: 2016-02-18 16:53:09 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
OpenStack gerrit 270700 None None None 2016-02-10 17:45:46 UTC
Red Hat Product Errata RHBA-2016:0264 normal SHIPPED_LIVE Red Hat Enterprise Linux OSP 7 director Bug Fix Advisory 2016-02-18 21:41:29 UTC

Description Leonid Natapov 2016-02-09 22:26:33 UTC
Description of problem:
Backend URL is missing in ceilometer.conf file therefore ceilometer services can't start. All 


ceilometer.conf:

# The backend URL to use for distributed coordination. If left
# empty, per-deployment central agent and per-host compute
# agent won't do workload partitioning and will only function
# correctly if a single instance of that service is running.
# (string value)
#backend_url=<None>
backend_url=redis://:6379


IP address is missing.

Note:
The deployment failed on postconfig because of missing brackets while trying to parse ipv6 address. This problem I am observing with the ceilometer might be related to the fact that deployment failed but it might be a different  unrelated issue.


openstack-tripleo-heat-templates-0.8.6-116.el7ost.noarch

Comment 4 Marius Cornea 2016-02-10 11:07:43 UTC
[root@overcloud-controller-0 ~]# hiera ceilometer::agent::central::coordination_url
redis://:6379

Deploy command:

openstack overcloud deploy --templates -e /usr/share/openstack-tripleo-heat-templates/environments/network-isolation-v6.yaml -e /home/stack/network-environment-v6.yaml --control-scale 3 --compute-scale 1 --neutron-network-type vlan --neutron-tunnel-types vlan --neutron-network-vlan-ranges datacentre:100:1000 --neutron-disable-tunneling --timeout 180 --ntp-server clock.redhat.com -e /usr/share/openstack-tripleo-heat-templates/environments/external-loadbalancer-vip-v6.yaml -e external_lb-v6.yaml

cat external_lb-v6.yaml 
parameters:
  ServiceNetMap:
    NeutronTenantNetwork: tenant
    CeilometerApiNetwork: internal_api
    MongoDbNetwork: internal_api
    CinderApiNetwork: internal_api
    CinderIscsiNetwork: internal_api
    GlanceApiNetwork: internal_api
    GlanceRegistryNetwork: internal_api
    KeystoneAdminApiNetwork: internal_api # allows undercloud to config endpoints
    KeystonePublicApiNetwork: internal_api
    NeutronApiNetwork: internal_api
    HeatApiNetwork: internal_api
    NovaApiNetwork: internal_api
    NovaMetadataNetwork: internal_api
    NovaVncProxyNetwork: internal_api
    SwiftMgmtNetwork: internal_api
    SwiftProxyNetwork: internal_api
    HorizonNetwork: internal_api
    MemcachedNetwork: internal_api
    RabbitMqNetwork: internal_api
    RedisNetwork: internal_api
    MysqlNetwork: internal_api
    CephClusterNetwork: internal_api
    CephPublicNetwork: internal_api
    ControllerHostnameResolveNetwork: internal_api
    ComputeHostnameResolveNetwork: internal_api
    BlockStorageHostnameResolveNetwork: internal_api
    ObjectStorageHostnameResolveNetwork: internal_api
    CephStorageHostnameResolveNetwork: internal_api

parameter_defaults:
  # When using an external loadbalancer set the following in parameter_defaults
  # to control your VIPs (currently one per network)
  # NOTE: we will eventually move to one VIP per service
  #
  ControlPlaneIP: 192.0.2.250
  ExternalNetworkVip: 2620:52:0:23ad:0:0:0:903
  InternalApiNetworkVip: 2620:52:0:23a9:0:0:0:20
  StorageNetworkVip: 2620:52:0:23a9:0:0:0:20
  StorageMgmtNetworkVip: 2620:52:0:23a9:0:0:0:20
  ServiceVips:
    redis: 2620:52:0:23a9:0:0:0:21
  
  ControllerIPs:
    external:
    - 2620:52:0:23ad:0:0:0:25
    - 2620:52:0:23ad:0:0:0:26
    - 2620:52:0:23ad:0:0:0:27
    internal_api:
    - 2620:52:0:23a9:0:0:0:25
    - 2620:52:0:23a9:0:0:0:26
    - 2620:52:0:23a9:0:0:0:27
    storage:
    - 2620:52:0:23a9:0:0:0:25
    - 2620:52:0:23a9:0:0:0:26
    - 2620:52:0:23a9:0:0:0:27
    storage_mgmt:
    - 2620:52:0:23a9:0:0:0:25
    - 2620:52:0:23a9:0:0:0:26
    - 2620:52:0:23a9:0:0:0:27
    tenant:
    - fd00:fd00:fd00:5000:0:0:0:25 
    - fd00:fd00:fd00:5000:0:0:0:26
    - fd00:fd00:fd00:5000:0:0:0:27
  EnableLoadBalancer: false

cat network-environment-v6.yaml 
resource_registry:
  OS::TripleO::BlockStorage::Net::SoftwareConfig: /home/stack/nic-configs/cinder-storage.yaml
  OS::TripleO::Compute::Net::SoftwareConfig: /home/stack/nic-configs/compute.yaml
  OS::TripleO::Controller::Net::SoftwareConfig: /home/stack/nic-configs/controller-v6.yaml
  OS::TripleO::ObjectStorage::Net::SoftwareConfig: /home/stack/nic-configs/swift-storage.yaml
  OS::TripleO::CephStorage::Net::SoftwareConfig: /home/stack/nic-configs/ceph-storage.yaml
  OS::TripleO::Network::StorageMgmt: /usr/share/openstack-tripleo-heat-templates/network/noop.yaml
  OS::TripleO::Network::Storage: /usr/share/openstack-tripleo-heat-templates/network/noop.yaml

  # We don't want Storage VIPs
  OS::TripleO::Network::Ports::StorageVipPort: /usr/share/openstack-tripleo-heat-templates/network/ports/noop.yaml
  OS::TripleO::Network::Ports::StorageMgmtVipPort: /usr/share/openstack-tripleo-heat-templates/network/ports/noop.yaml

  # Port assignments for the controller role
  OS::TripleO::Controller::Ports::StoragePort: /usr/share/openstack-tripleo-heat-templates/network/ports/noop.yaml
  OS::TripleO::Controller::Ports::StorageMgmtPort: /usr/share/openstack-tripleo-heat-templates/network/ports/noop.yaml

  # Port assignments for the compute role
  OS::TripleO::Compute::Ports::StoragePort: /usr/share/openstack-tripleo-heat-templates/network/ports/noop.yaml

  # Port assignments for the ceph storage role
  OS::TripleO::CephStorage::Ports::StoragePort: /usr/share/openstack-tripleo-heat-templates/network/ports/noop.yaml
  OS::TripleO::CephStorage::Ports::StorageMgmtPort: /usr/share/openstack-tripleo-heat-templates/network/ports/noop.yaml

  # Port assignments for the swift storage role
  OS::TripleO::SwiftStorage::Ports::StoragePort: /usr/share/openstack-tripleo-heat-templates/network/ports/noop.yaml
  OS::TripleO::SwiftStorage::Ports::StorageMgmtPort: /usr/share/openstack-tripleo-heat-templates/network/ports/noop.yaml

  # Port assignments for the block storage role
  OS::TripleO::BlockStorage::Ports::StoragePort: /usr/share/openstack-tripleo-heat-templates/network/ports/noop.yaml
  OS::TripleO::BlockStorage::Ports::StorageMgmtPort: /usr/share/openstack-tripleo-heat-templates/network/ports/noop.yaml

parameter_defaults:
  DnsServers: ["10.35.28.28","10.16.36.29"]
  InternalApiNetCidr: '2620:52:0:23a9::/64'
  InternalApiAllocationPools: [{'start': '2620:52:0:23a9::10', 'end': '2620:52:0:23a9::1000'}]
  InternalApiNetworkVlanID: 184
  
  TenantNetCidr: 'fd00:fd00:fd00:5000::/64'
  TenantAllocationPools: [{'start': 'fd00:fd00:fd00:5000::10', 'end': 'fd00:fd00:fd00:5000:ffff:ffff:ffff:fffe'}]

  ExternalNetCidr: '2620:52:0:23ad::/64'
  ExternalAllocationPools: [{'start': '2620:52:0:23ad::900', 'end': '2620:52:0:23ad::1000'}]
  ExternalNetworkVlanID: 188
  ExternalInterfaceDefaultRoute: 2620:52:0:23ad::fe
  ControlPlaneSubnetCidr: "24"
  ControlPlaneDefaultRoute: 192.0.2.1
  EC2MetadataIp: 192.0.2.1

parameters:
    NeutronExternalNetworkBridge: "''"
    controllerExtraConfig:
      'neutron::agents::dhcp::enable_isolated_metadata': 'True'


#  StorageAllocationPools: [{'start': '10.35.160.10', 'end': '10.35.160.200'}]
#  StorageNetCidr: 10.35.160.0/24

Comment 7 Marios Andreou 2016-02-10 17:46:51 UTC
I think the linked upstream review at https://review.openstack.org/#/c/270700/ is the right place to fix this, I left a comment there, If it turns out a new review is needed I can make it np.

Comment 10 Leonid Natapov 2016-02-11 15:19:06 UTC
openstack-tripleo-heat-templates-0.8.6-118.el7ost

fixed.

Comment 12 errata-xmlrpc 2016-02-18 16:53:09 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2016-0264.html


Note You need to log in before you can comment on or make changes to this bug.